summaryrefslogtreecommitdiff
path: root/t/t9700-perl-git.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 16:46:42 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 16:46:42 -0700
commit6f523f6d38e660edc67719fb0953d79cee3b4b1f (patch)
tree83076a723d21df25e335c917570fd617ca9dbd16 /t/t9700-perl-git.sh
parentMerge branch 'sb/doc-upstream-branch' (diff)
parenttests: skip perl tests if NO_PERL is defined (diff)
downloadtgif-6f523f6d38e660edc67719fb0953d79cee3b4b1f.tar.xz
Merge branch 'jk/no-perl'
* jk/no-perl: tests: skip perl tests if NO_PERL is defined Makefile: allow building without perl
Diffstat (limited to 't/t9700-perl-git.sh')
-rwxr-xr-xt/t9700-perl-git.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/t9700-perl-git.sh b/t/t9700-perl-git.sh
index 4a501c6847..b4ca244626 100755
--- a/t/t9700-perl-git.sh
+++ b/t/t9700-perl-git.sh
@@ -6,6 +6,11 @@
test_description='perl interface (Git.pm)'
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping perl interface tests, perl not available'
+ test_done
+fi
+
perl -MTest::More -e 0 2>/dev/null || {
say "Perl Test::More unavailable, skipping test"
test_done